Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractCalendar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractCalendar

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

Direct Known Subclasses:
  UICalendar

    public abstract class AbstractCalendar

extends javax.faces.component.UIInput
implements org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

Author:
  amarkhel

Nested Class Summary
`static class` | `AbstractCalendar.Mode`
`protected static class` | `AbstractCalendar.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `DAYSDATA_META_COMPONENT_ID`
`static java.lang.String` | `DEFAULT_DATE_PATTERN`
`static java.lang.String` | `SUB_TIME_PATTERN`
`static java.lang.String` | `TIME_PATTERN`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`AbstractCalendar()`

Method Summary
`void` | `addCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`java.util.ArrayList<java.lang.Object>` | `deleteEmptyPropeties(CalendarDataModelItem[] calendarDataModelItems)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, java.lang.String metaComponentId)`
`static java.lang.Object` | `formatStartDate(java.util.Date date)`
`abstract java.lang.String` | `getBoundaryDatesMode()`
`abstract java.lang.String` | `getButtonClass()`
`abstract java.lang.String` | `getButtonDisabledIcon()`
`abstract java.lang.String` | `getButtonIcon()`
`abstract java.lang.String` | `getButtonLabel()`
`abstract java.lang.Object` | `getCurrentDate()`
`org.richfaces.event.CurrentDateChangeListener[]` | `getCurrentDateChangeListeners()`
`java.util.Date` | `getCurrentDateOrDefault()`
`abstract CalendarDataModel` | `getDataModel()`
`abstract java.lang.String` | `getDatePattern()`
`abstract java.lang.String` | `getDayClassFunction()`
`abstract java.lang.String` | `getDayDisableFunction()`
`abstract java.lang.String` | `getDefaultLabel()`
`protected java.util.Date` | `getDefaultPreloadBegin(java.util.Date date)`
`protected java.util.Date` | `getDefaultPreloadEnd(java.util.Date date)`
`abstract java.lang.Object` | `getDefaultTime()`
`static java.lang.Object` | `getDefaultValueOfDefaultTime(javax.faces.context.FacesContext facesContext, AbstractCalendar calendarComponent)`
`abstract org.richfaces.component.Positioning` | `getDirection()`
`abstract int` | `getFirstWeekDay()`
`abstract int` | `getHorizontalOffset()`
`abstract java.lang.String` | `getInputClass()`
`abstract java.lang.String` | `getInputSize()`
`abstract java.lang.String` | `getInputStyle()`
`abstract org.richfaces.component.Positioning` | `getJointPoint()`
`java.lang.Object` | `getLocale()`
`abstract int` | `getMinDaysInFirstWeek()`
`abstract AbstractCalendar.Mode` | `getMode()`
`abstract java.lang.Object` | `getMonthLabels()`
`abstract java.lang.Object` | `getMonthLabelsShort()`
`abstract java.lang.String` | `getOnbeforecurrentdateselect()`
`abstract java.lang.String` | `getOnbeforedateselect()`
`abstract java.lang.String` | `getOnbeforetimeselect()`
`abstract java.lang.String` | `getOnchange()`
`abstract java.lang.String` | `getOnclean()`
`abstract java.lang.String` | `getOncomplete()`
`abstract java.lang.String` | `getOncurrentdateselect()`
`abstract java.lang.String` | `getOndatemouseout()`
`abstract java.lang.String` | `getOndatemouseover()`
`abstract java.lang.String` | `getOndateselect()`
`abstract java.lang.String` | `getOnhide()`
`abstract java.lang.String` | `getOninputblur()`
`abstract java.lang.String` | `getOninputchange()`
`abstract java.lang.String` | `getOninputclick()`
`abstract java.lang.String` | `getOninputdblclick()`
`abstract java.lang.String` | `getOninputfocus()`
`abstract java.lang.String` | `getOninputkeydown()`
`abstract java.lang.String` | `getOninputkeypress()`
`abstract java.lang.String` | `getOninputkeyup()`
`abstract java.lang.String` | `getOninputmousedown()`
`abstract java.lang.String` | `getOninputmousemove()`
`abstract java.lang.String` | `getOninputmouseout()`
`abstract java.lang.String` | `getOninputmouseover()`
`abstract java.lang.String` | `getOninputmouseup()`
`abstract java.lang.String` | `getOninputselect()`
`abstract java.lang.String` | `getOnshow()`
`abstract java.lang.String` | `getOntimeselect()`
`abstract java.lang.String` | `getPopupClass()`
`abstract java.lang.String` | `getPopupStyle()`
`java.lang.Object` | `getPreload()`
`java.util.Date[]` | `getPreloadDateRange()`
`abstract java.lang.Object` | `getPreloadDateRangeBegin()`
`abstract java.lang.Object` | `getPreloadDateRangeEnd()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTabindex()`
`abstract java.util.TimeZone` | `getTimeZone()`
`abstract java.lang.String` | `getTodayControlMode()`
`abstract int` | `getVerticalOffset()`
`abstract java.lang.Object` | `getWeekDayLabels()`
`abstract java.lang.Object` | `getWeekDayLabelsShort()`
`abstract int` | `getZindex()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isEnableManualInput()`
`abstract boolean` | `isPopup()`
`abstract boolean` | `isResetTimeOnDateSelect()`
`abstract boolean` | `isShowApplyButton()`
`abstract boolean` | `isShowFooter()`
`abstract boolean` | `isShowHeader()`
`abstract boolean` | `isShowInput()`
`abstract boolean` | `isShowWeekDaysBar()`
`abstract boolean` | `isShowWeeksBar()`
`void` | `removeCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)`
`java.lang.String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, java.lang.String metaComponentId)`
`abstract void` | `setCurrentDate(java.lang.Object date)`
`void` | `setLocale(java.lang.Object locale)`
`abstract void` | `setPreloadDateRangeBegin(java.lang.Object date)`
`abstract void` | `setPreloadDateRangeEnd(java.lang.Object date)`
`java.lang.String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, java.lang.String metaComponentId)`
`void` | `updateCurrentDate(javax.faces.context.FacesContext facesContext, java.lang.Object currentDate)`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### DAYSDATA_META_COMPONENT_ID

    public static final java.lang.String DAYSDATA_META_COMPONENT_ID

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### SUB_TIME_PATTERN

    public static final java.lang.String SUB_TIME_PATTERN

See Also:
  Constant Field Values

### TIME_PATTERN

    public static final java.lang.String TIME_PATTERN

See Also:
  Constant Field Values

### DEFAULT_DATE_PATTERN

    public static final java.lang.String DEFAULT_DATE_PATTERN

See Also:
  Constant Field Values

Constructor Detail

### AbstractCalendar

    public AbstractCalendar()

Method Detail

### getDatePattern

    public abstract java.lang.String getDatePattern()

### getTimeZone

    public abstract java.util.TimeZone getTimeZone()

### getFirstWeekDay

    public abstract int getFirstWeekDay()

### getMinDaysInFirstWeek

    public abstract int getMinDaysInFirstWeek()

### getTodayControlMode

    public abstract java.lang.String getTodayControlMode()

### isShowWeekDaysBar

    public abstract boolean isShowWeekDaysBar()

### isShowWeeksBar

    public abstract boolean isShowWeeksBar()

### isShowFooter

    public abstract boolean isShowFooter()

### isShowHeader

    public abstract boolean isShowHeader()

### isShowInput

    public abstract boolean isShowInput()

### isPopup

    public abstract boolean isPopup()

### isDisabled

    public abstract boolean isDisabled()

### isEnableManualInput

    public abstract boolean isEnableManualInput()

### getDayDisableFunction

    public abstract java.lang.String getDayDisableFunction()

### isShowApplyButton

    public abstract boolean isShowApplyButton()

### isResetTimeOnDateSelect

    public abstract boolean isResetTimeOnDateSelect()

### getJointPoint

    public abstract org.richfaces.component.Positioning getJointPoint()

### getDirection

    public abstract org.richfaces.component.Positioning getDirection()

### getBoundaryDatesMode

    public abstract java.lang.String getBoundaryDatesMode()

### getHorizontalOffset

    public abstract int getHorizontalOffset()

### getVerticalOffset

    public abstract int getVerticalOffset()

### getZindex

    public abstract int getZindex()

### getMode

    public abstract AbstractCalendar.Mode getMode()

### getDefaultLabel

    public abstract java.lang.String getDefaultLabel()

### getStyle

    public abstract java.lang.String getStyle()

### getStyleClass

    public abstract java.lang.String getStyleClass()

### getPopupStyle

    public abstract java.lang.String getPopupStyle()

### getPopupClass

    public abstract java.lang.String getPopupClass()

### getMonthLabels

    public abstract java.lang.Object getMonthLabels()

### getMonthLabelsShort

    public abstract java.lang.Object getMonthLabelsShort()

### getWeekDayLabelsShort

    public abstract java.lang.Object getWeekDayLabelsShort()

### getWeekDayLabels

    public abstract java.lang.Object getWeekDayLabels()

### getDayClassFunction

    public abstract java.lang.String getDayClassFunction()

### getTabindex

    public abstract java.lang.String getTabindex()

### getInputStyle

    public abstract java.lang.String getInputStyle()

### getButtonClass

    public abstract java.lang.String getButtonClass()

### getInputClass

    public abstract java.lang.String getInputClass()

### getButtonLabel

    public abstract java.lang.String getButtonLabel()

### getInputSize

    public abstract java.lang.String getInputSize()

### getCurrentDate

    public abstract java.lang.Object getCurrentDate()

### setCurrentDate

    public abstract void setCurrentDate(java.lang.Object date)

### getButtonIcon

    public abstract java.lang.String getButtonIcon()

### getButtonDisabledIcon

    public abstract java.lang.String getButtonDisabledIcon()

### getDefaultTime

    public abstract java.lang.Object getDefaultTime()

### getPreloadDateRangeBegin

    public abstract java.lang.Object getPreloadDateRangeBegin()

### setPreloadDateRangeBegin

    public abstract void setPreloadDateRangeBegin(java.lang.Object date)

### getPreloadDateRangeEnd

    public abstract java.lang.Object getPreloadDateRangeEnd()

### setPreloadDateRangeEnd

    public abstract void setPreloadDateRangeEnd(java.lang.Object date)

### getDataModel

    public abstract CalendarDataModel getDataModel()

### getOninputclick

    public abstract java.lang.String getOninputclick()

### getOninputdblclick

    public abstract java.lang.String getOninputdblclick()

### getOninputchange

    public abstract java.lang.String getOninputchange()

### getOninputselect

    public abstract java.lang.String getOninputselect()

### getOninputmousedown

    public abstract java.lang.String getOninputmousedown()

### getOninputmousemove

    public abstract java.lang.String getOninputmousemove()

### getOninputmouseout

    public abstract java.lang.String getOninputmouseout()

### getOninputmouseover

    public abstract java.lang.String getOninputmouseover()

### getOninputmouseup

    public abstract java.lang.String getOninputmouseup()

### getOninputkeydown

    public abstract java.lang.String getOninputkeydown()

### getOninputkeypress

    public abstract java.lang.String getOninputkeypress()

### getOninputkeyup

    public abstract java.lang.String getOninputkeyup()

### getOninputfocus

    public abstract java.lang.String getOninputfocus()

### getOninputblur

    public abstract java.lang.String getOninputblur()

### getOnchange

    public abstract java.lang.String getOnchange()

### getOndateselect

    public abstract java.lang.String getOndateselect()

### getOnbeforedateselect

    public abstract java.lang.String getOnbeforedateselect()

### getOncurrentdateselect

    public abstract java.lang.String getOncurrentdateselect()

### getOnbeforecurrentdateselect

    public abstract java.lang.String getOnbeforecurrentdateselect()

### getOncomplete

    public abstract java.lang.String getOncomplete()

### getOnhide

    public abstract java.lang.String getOnhide()

### getOndatemouseout

    public abstract java.lang.String getOndatemouseout()

### getOndatemouseover

    public abstract java.lang.String getOndatemouseover()

### getOnshow

    public abstract java.lang.String getOnshow()

### getOntimeselect

    public abstract java.lang.String getOntimeselect()

### getOnbeforetimeselect

    public abstract java.lang.String getOnbeforetimeselect()

### getOnclean

    public abstract java.lang.String getOnclean()

### getLocale

    public java.lang.Object getLocale()

### setLocale

    public void setLocale(java.lang.Object locale)

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### updateCurrentDate

    public void updateCurrentDate(javax.faces.context.FacesContext facesContext,
                                  java.lang.Object currentDate)

### addCurrentDateChangeListener

    public void addCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)

### removeCurrentDateChangeListener

    public void removeCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)

### getCurrentDateChangeListeners

    public org.richfaces.event.CurrentDateChangeListener[] getCurrentDateChangeListeners()

### getDefaultValueOfDefaultTime

    public static java.lang.Object getDefaultValueOfDefaultTime(javax.faces.context.FacesContext facesContext,
                                                                AbstractCalendar calendarComponent)

### getDefaultPreloadBegin

    protected java.util.Date getDefaultPreloadBegin(java.util.Date date)

### getDefaultPreloadEnd

    protected java.util.Date getDefaultPreloadEnd(java.util.Date date)

### getCurrentDateOrDefault

    public java.util.Date getCurrentDateOrDefault()

### resolveClientId

    public java.lang.String resolveClientId(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent contextComponent,
                                            java.lang.String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public java.lang.String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                                         javax.faces.component.UIComponent contextComponent,
                                                         java.lang.String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    java.lang.String metaComponentId)
                             throws java.io.IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `java.io.IOException`

### getPreload

    public java.lang.Object getPreload()

### formatStartDate

    public static java.lang.Object formatStartDate(java.util.Date date)

### deleteEmptyPropeties

    public java.util.ArrayList<java.lang.Object> deleteEmptyPropeties(CalendarDataModelItem[] calendarDataModelItems)

### getPreloadDateRange

    public java.util.Date[] getPreloadDateRange()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.